Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class ArrowView

    ru.biosoft.graphics.View
      |
      +--ru.biosoft.graphics.CompositeView
            |
            +--ru.biosoft.graphics.ArrowView

public class ArrowView
extends CompositeView

Inner Class Summary
`public static class` | ArrowView.Tip

Field Summary
`final static int` | `ARROW_TIP`
`final static int` | `DIAMOND_TIP`
`final static int` | `SIMPLE_TIP`
`final static int` | `TRIANGLE_TIP`

Fields inherited from class ru.biosoft.graphics.CompositeView
`REL, X_CC, X_LC, X_LL, X_LR, X_RC, X_RL, X_RR, X_UN, Y_BB, Y_BC, Y_BT, Y_CC, Y_TB, Y_TC, Y_TT, Y_UN`

Fields inherited from class ru.biosoft.graphics.View
`ACTIVE, BASELINE, BOTTOM, CENTER, HIDE, LEFT, RIGHT, TOP`

Constructor Summary
`ArrowView(Pen pen, Brush brush, Point pt0, Point pt1, int startTip, int endTip)`
`ArrowView(Pen pen, Point pt0, Point pt1, int startTip, int endTip)`
`ArrowView(Pen pen, int x1, int y1, int x2, int y2, int startTip, int endTip)`
`ArrowView(Pen pen, Brush brush, int x1, int y1, int x2, int y2, int startTipType, int endTipType)`
`ArrowView(Pen pen, Brush brush, int x1, int y1, int x2, int y2, Tip startTip, Tip endTip)`

Method Summary
`static Tip` | `createArrowTip(Pen pen, Brush brush, int w1, int w2, int h)`
`static Tip` | `createDiamondTip(Pen pen, Brush brush, int w1, int w2, int h)`
`static Tip` | `createSimpleTip(Pen pen, int w, int h)`
`static Tip` | `createTip(Pen pen, Brush brush, int tipType)`
`static Tip` | `createTriangleTip(Pen pen, Brush brush, int w, int h)`
`static void` | `locateTip(Tip tip, double alpha, int x, int y)`
`static void` | `rotate(Polygon pol, double alpha)`

Methods inherited from class ru.biosoft.graphics.CompositeView
`add, add, add, elementAt, getBounds, getChildren, getDeepestActive, getDeepestActive, getLocation, insert, intersects, move, paint, remove, scale, size, updateBounds`

Methods inherited from class ru.biosoft.graphics.View
`getModel, getShape, isActive, isVisible, move, setActive, setLocation, setLocation, setModel, setToScale, setVisible`

Field Detail

### ARROW_TIP

    public final static int ARROW_TIP

### DIAMOND_TIP

    public final static int DIAMOND_TIP

### SIMPLE_TIP

    public final static int SIMPLE_TIP

### TRIANGLE_TIP

    public final static int TRIANGLE_TIP

Constructor Detail

### ArrowView

    public ArrowView(Pen pen, Brush brush, Point pt0, Point pt1, int startTip, int endTip)

### ArrowView

    public ArrowView(Pen pen, Point pt0, Point pt1, int startTip, int endTip)

### ArrowView

    public ArrowView(Pen pen, int x1, int y1, int x2, int y2, int startTip, int endTip)

### ArrowView

    public ArrowView(Pen pen, Brush brush, int x1, int y1, int x2, int y2, int startTipType, int endTipType)

### ArrowView

    public ArrowView(Pen pen, Brush brush, int x1, int y1, int x2, int y2, Tip startTip, Tip endTip)

Method Detail

### createArrowTip

    public static Tip createArrowTip(Pen pen, Brush brush, int w1, int w2, int h)

### createDiamondTip

    public static Tip createDiamondTip(Pen pen, Brush brush, int w1, int w2, int h)

### createSimpleTip

    public static Tip createSimpleTip(Pen pen, int w, int h)

### createTip

    public static Tip createTip(Pen pen, Brush brush, int tipType)

### createTriangleTip

    public static Tip createTriangleTip(Pen pen, Brush brush, int w, int h)

### locateTip

    public static void locateTip(Tip tip, double alpha, int x, int y)

### rotate

    public static void rotate(Polygon pol, double alpha)

Association Links

to Class ru.biosoft.graphics.Pen

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM